ROHTO BUGS - Bug #1551

[PMS Final] - Commitment
09/02/2022 06:01 PM - Fiona Avangeline Jonathan

Status: Closed Start date: 09/02/2022
Priority: Urgent Due date:

Assignee: Fiona Avangeline Jonathan % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 2.00 hours
Description

Pak Yusuf,

Mohon dibantu untuk form ESS PMS Final bagian Commitment belum mengambil seluruh data dari Job Catalog (J = 00000117)
yang masuk dalam qualification group Corporate Values.

8 Commitment

Qualification 1D Key Behavior Score

1 00000027 Pengelolaan pekerjaan dengan pihak internal dan eksternal melalui kemit...

2 00000028 Memiliki hasrat dan mencintai pekerjaannya serta peduli terhadap pekerj...

3 00000029 Bertanggung jawab dengan menjalankan kewajibannya dan memberikan t..

4 Hokoku - Report or Lapor Tidak menyerah terhadap kesulitan dan kegagalan yang dihadapi dalam b...

5 Renraku -Inform or Contact or Informasi or Kontak Tidak pernah berhenti untuk selalu atau terus melakukan perbaikan

6 Sodan -Consult or Discuss or Koensultasi or Diskusi Melangkah maju dengan cepat sesuai rencana kerja yang ada dan dalam k...

7 Deliver Maximum Customer Satisfaction Memberikan kepuasan maksimal terhadap pelanggan internal maupun ek...

A&  Continooos Imorovement on Oualitey and Service Terhadan mutn dan nelavanan nekeriaan selals ditinekatkan serara herke

Qualification Catalog

Home » Maintain Organization Strucured

Search Tree
Chject Tree I
* &' CORPORATE VALUE 00000019
» & Corporate Employee Commitment 00000020
E Continuous improvement oo 48
[ speed 00000143
[} Innovation 00000150
¥ B Corporate Spirit 00000021

E Management through Partnership oo s

E Passionate and Caring 0000052

Port: http://remote.minovais.com:61121/

Terima kasih.

History

#1 - 09/02/2022 06:01 PM - Fiona Avangeline Jonathan
- File clipboard-202209021800-mzad1.png added
- File clipboard-202209021801-cfsgu.png added
http://remote.minovais.com:61121/

#2 - 09/09/2022 01:00 AM - M Azid Wahyudi
- Status changed from Assigned to Revise

- Assignee changed from Mr. Yusuf to Fiona Avangeline Jonathan
dear fiona , perihal issue ini karena di harcode object id nya = ‘00000019’
jadi untuk issue ini harus diskusi dulu sama mba yaya ,

untuk saat ini codingannya di harcode

makasih

#3 - 09/09/2022 10:16 AM - Fiona Avangeline Jonathan

- File clipboard-202209091013-xke4r.png added

- File clipboard-202209091014-g7jyh.png added

- File clipboard-202209091014-mdsh9.png added

- File clipboard-202209091015-ynoob.png added

- File clipboard-202209091015-ttqyn.png added

Mas Azid,

Untuk autofill, pertama di cek terlebih dahulu di qualification catalog dengan group Corporate Values .

Qualification Catalog

Home » Maintain Organization Strucured

Search Tree
Object Tree I} Object Class
* & ROHTO 00000001 QG
¥ & KOMPETENSI DIFFERENTIATING 00000002 QG
¥ & KOMPETENS|I THRESHOLD 00000003 QG
~ &' CORPORATE VALUE 0000009 QG
bl E‘ Corporate Employee Commitment QOoQon20 QG
@ Continuaus improvement Qooor148 Q
[21 speed 00000149 Q
. —

Kemudian di cek ke Job Catalog (J = 00000117) menu Qualification Profile

Job Catalog

Home e Maintain Organization Structured

Search Tree
Object Tree D Object Class Abhr Start Date End Date Vacant Status View Edit
* & Human Resource 00000007 JF Human Resource 20160101 99991231 o & . -
@ GA And HR Manager 00000117 1 GA And HR Man... 20160101 99991231 o & @
[Z] Human Resource Staff (H... 00000118 ] Human Resourc... 20160101 99991231 o = =
[£] Human Resource Staff (H.. 00000119 ] Human Resourc... 20160101 99991231 o & &
[£] Human Resource Staff (H.. 00000120 ] Human Resourc... 20160101 99991231 o & &
@ GA And HR Staff (FO - Ad... 00000121 1 GA And HR 5taff .. 20160101 599991231 o & [
[£] Human Resource Staff [F... 00000122 ] Human Resourc... 20180101 99991231 o &= =
[Z] Human Resource Staff (F... 00000123 ] Human Resourc... 20160101 99991231 o & & -
Master Data 4 Qualification Profile - ] - 00000117

General Data e - Action *
Relationship (] ) R N . . .

Start Date | End Date Qualification Qualification Ty... Proficien... Mandato... Weig... Notes
Description o

0102016 31/12/9999 Proactivity Appraisal 4 100.00
KPI Profile L

o1/o1s2016 3111259999 Business Acumen Appraisal 4 100.00
Qualification Pro... L]

oo2me 31/12/99599 Innovation Appraisal El B0.00
Compensation G... o

o1/o1s2016 3111259999 Passionate and Caring Appraisal 3 E0.00
Compensation P... O

o1/o1s2016 31/12/959599 Management through Partnership  Appraisal 3 ED.00
Job Object Details o
Task Profile o .

Page 2 of 5 > B S

Untuk data yang muncul nantinya di ESS PMS Final harus ada baik di Qualification Profile dan di Qualification Catalog.

Sebagai contoh:
Di Qualification Catalog group Corporate Values ada Innovation

Qualification Catalog

Home = Maintain Organizstion Structured

Search Tree
Ohbject Tree o Object Class
b & KOMPETEMSI THRESHOLD 00000003 QG
+ &' CORPORATE VALUE 00000019 Qa
b 5‘ Corporate Employee Commitment Qoooon20 QG
@ Continuous improvement o004 Q
[2) speed 00000149 Q
I [} Innovation I 00000150 Q
¥ E Corporate Spirit 00000021 QG

kemudian cek ke Job Catalog bagian Qualification Profile ada atau tidak Innovation

Master Data 4 Qualification Profile - ) - 00000117

General Data @ - Ot =
Relationship L] . B B i . .

Start Date | End Date Qualification Qualification Ty... Proficien... Mandato... Weig... Motes
Description O

01012018 31/12/9999 Proactivity Appraisal 4 100.00
KPI Profile <

o/01/2016 31/12/9999 Business Acumen Appraisal 4 100.00
Qualification Pro... @

I o1/01/2016 31/12/999% Innowvation Appraisal 3 B0.00 I

Compensation G... o

o/01/2016 31/12/9999 Passionate and Caring Appraisal El B0.00
Compensation P... 0

o0so1/2016 317129999 Management through Partnership Appraisal 3 B0.00
Job Object Details o
Task Profile o .

Q

Page 2 of & > B

« | <

kalau ada maka di form ESS PMS Final akan muncul Innovation dibagian Commitment.

Terima kasih.

#4 - 09/09/2022 10:16 AM - Fiona Avangeline Jonathan

- Status changed from Revise to Assigned
- Assignee changed from Fiona Avangeline Jonathan to M Azid Wahyudi

#5 - 09/12/2022 08:03 AM - M Azid Wahyudi

- Status changed from Assigned to QA Test

- Assignee changed from M Azid Wahyudi to Fiona Avangeline Jonathan
Dear fiona ,, udah bisa di test ya

makasih

#6 - 09/13/2022 04:58 PM - Fiona Avangeline Jonathan
- Status changed from QA Test to Closed
